apiVersion: shipwright.io/v1beta1
kind: BuildRun
metadata:
  creationTimestamp: "2025-10-14T19:12:04Z"
  generateName: quizap-frontend-build-
  generation: 1
  labels:
    build.shipwright.io/generation: "3"
    build.shipwright.io/name: quizap-frontend-build
  name: quizap-frontend-build-wcj9x
  namespace: quizap-dev
  resourceVersion: "6754"
  uid: 7b28c6fe-bc68-4b37-b41c-bb2707cff640
spec:
  build:
    name: quizap-frontend-build
status:
  buildSpec:
    env:
    - name: NODE_ENV
      value: production
    - name: NPM_CONFIG_PRODUCTION
      value: "true"
    output:
      image: registry.k8s.local/quizap/frontend:latest
      insecure: true
    paramValues:
    - name: cnb-builder-image
      value: docker.io/paketobuildpacks/builder-jammy-full:latest
    source:
      contextDir: frontend
      git:
        revision: main
        url: https://github.com/adambkaplan/quizap.git
      type: Git
    strategy:
      kind: ClusterBuildStrategy
      name: buildpacks
  completionTime: "2025-10-14T19:13:00Z"
  conditions:
  - lastTransitionTime: "2025-10-14T19:13:00Z"
    message: 'buildrun step step-analyze failed, for detailed information: kubectl
      --namespace quizap-dev logs quizap-frontend-build-wcj9x-6ftkp-pod --container=step-analyze'
    reason: Failed
    status: "False"
    type: Succeeded
  executor:
    kind: TaskRun
    name: quizap-frontend-build-wcj9x-6ftkp
  failureDetails:
    location:
      container: step-analyze
      pod: quizap-frontend-build-wcj9x-6ftkp-pod
  output: {}
  source:
    git:
      commitAuthor: Adam Kaplan
      commitSha: bf0a537baeca720d7505bed2c6ba05986fee2640
    timestamp: "2025-10-12T15:43:49Z"
  startTime: "2025-10-14T19:12:04Z"
  taskRunName: quizap-frontend-build-wcj9x-6ftkp
